
#include <sys/ioctl.h>
#include "natinst.h"


#define elements(a) (sizeof(a)/sizeof(a[0]))

#define INT64			long long int
#define UINT64			unsigned INT64

#define MAX_PORTS		180
#define NIOC_PROGRAM		_IOWR('N', 1, 0)
#define NIOC_PROG_IRQ		_IOWR('N', 2, 0)
#define NIOC_PROG_READ		_IOWR('N', 3, 0)
#define NIOC_PROG_STOP		_IOWR('N', 4, 0)
#define NIOC_READSTATS		_IOWR('N', 5, 0)

/* status flags */
#define PCAD_TRIG		1	/* A/D triggered, waiting for irq */

/* extern void (*do_timer_hook)(); */

struct program_command {
    unsigned short	port;		/* target offset or port number */
    unsigned short	data;		/* what to write */
};

struct private_data {
    int                 status;
    unsigned            measurement;
    struct wait_queue   *wait_queue;
};

struct device_statistics {
    time_t              start_time;
    int                 base, irq;
    unsigned            spurious_irqs,
			erroneous_irqs,
                        valid_irqs,
                        timeouts,
                        measurements;
};
