/*
*  Define the register addresses.
*  This comes from the eserrlp.h file provided by National Instruments
*/

/* created by: perl < natinst.h -ane 'm/^\#define/ && print "@F[0]\t\t@F[1]"."\t"x (6-(length(@F[1])+1)/8)."@F[2]\t/_* ".sprintf("0x%.2X",int(@F[2]))." *_/\n"' > natinst.h
(remove underscores "_" */

#define		Serial_Command				13	/* 0x0D */
#define		Misc_Command				15	/* 0x0F */
#define		Status					1	/* 0x01 */
#define		Strobes_Register			1	/* 0x01 */
#define		AI_AO_Select_Register			9	/* 0x09 */
#define		Channel_A_Mode_Register			3	/* 0x03 */
#define		ADC_FIFO_Data_Register			28	/* 0x1C */
#define		Configuration_Memory_Low		16	/* 0x10 */
#define		Configuration_Memory_High		18	/* 0x12 */
#define		AO_Configuration_Register		22	/* 0x16 */
#define		AO_DAC_FIFO_Data			30	/* 0x1E */
#define		AO_DAC_0_Data_Register			24	/* 0x18 */
#define		AO_DAC_1_Data_Register			26	/* 0x1A */
#define		Strobes					1	/* 0x01 */
#define		Channel_A_Mode				3	/* 0x03 */
#define		Channel_B_Mode				5	/* 0x05 */
#define		Channel_C_Mode				7	/* 0x07 */
#define		AI_AO_Select				9	/* 0x09 */
#define		G0_G1_Select				11	/* 0x0B */
#define		Configuration_Memory_Clear		130	/* 0x82 */
#define		ADC_FIFO_Clear				131	/* 0x83 */
#define		DAC_FIFO_Clear				132	/* 0x84 */
#define		AI_Command_1_Register			8	/* 0x08 */
#define		AI_Command_2_Register			4	/* 0x04 */
#define		AI_DIV_Load_A_Register			64	/* 0x40 */
#define		AI_DIV_Save_Register			26	/* 0x1A */
#define		AI_Mode_1_Register			12	/* 0x0C */
#define		AI_Mode_2_Register			13	/* 0x0D */
#define		AI_Mode_3_Register			87	/* 0x57 */
#define		AI_Output_Control_Register		60	/* 0x3C */
#define		AI_Personal_Register			77	/* 0x4D */
#define		AI_SC_Load_B_Registers			20	/* 0x14 */
#define		AI_SC_Load_A_Registers			18	/* 0x12 */
#define		AI_SC_Save_Registers			66	/* 0x42 */
#define		AI_SI_Load_B_Registers			16	/* 0x10 */
#define		AI_SI_Load_A_Registers			14	/* 0x0E */
#define		AI_SI_Save_Registers			64	/* 0x40 */
#define		AI_SI2_Load_B_Register			25	/* 0x19 */
#define		AI_SI2_Load_A_Register			23	/* 0x17 */
#define		AI_SI2_Save_Register			25	/* 0x19 */
#define		AI_START_STOP_Select_Register		62	/* 0x3E */
#define		AI_Status_1_Register			2	/* 0x02 */
#define		AI_Status_2_Register			5	/* 0x05 */
#define		AI_Trigger_Select_Register		63	/* 0x3F */
#define		Analog_Trigger_Etc_Register		61	/* 0x3D */
#define		AO_BC_Load_B_Registers			46	/* 0x2E */
#define		AO_BC_Load_A_Registers			44	/* 0x2C */
#define		AO_BC_Save_Registers			18	/* 0x12 */
#define		AO_Command_1_Register			9	/* 0x09 */
#define		AO_Command_2_Register			5	/* 0x05 */
#define		AO_Mode_1_Register			38	/* 0x26 */
#define		AO_Mode_2_Register			39	/* 0x27 */
#define		AO_Mode_3_Register			70	/* 0x46 */
#define		AO_Output_Control_Register		86	/* 0x56 */
#define		AO_Personal_Register			78	/* 0x4E */
#define		AO_START_Select_Register		66	/* 0x42 */
#define		AO_Status_1_Register			3	/* 0x03 */
#define		AO_Status_2_Register			6	/* 0x06 */
#define		AO_Trigger_Select_Register		67	/* 0x43 */
#define		AO_UC_Load_B_Registers			50	/* 0x32 */
#define		AO_UC_Load_A_Registers			48	/* 0x30 */
#define		AO_UC_Save_Registers			20	/* 0x14 */
#define		AO_UI_Load_B_Registers			42	/* 0x2A */
#define		AO_UI_Load_A_Registers			40	/* 0x28 */
#define		AO_UI_Save_Registers			16	/* 0x10 */
#define		AO_UI2_Load_B_Register			55	/* 0x37 */
#define		AO_UI2_Load_A_Register			53	/* 0x35 */
#define		AO_UI2_Save_Register			23	/* 0x17 */
#define		Clock_and_FOUT_Register			56	/* 0x38 */
#define		DIO_Control_Register			11	/* 0x0B */
#define		DIO_Output_Register			10	/* 0x0A */
#define		DIO_Parallel_Input_Register		7	/* 0x07 */
#define		DIO_Serial_Input_Register		28	/* 0x1C */
#define		G_Status_Register			4	/* 0x04 */
#define		G0_Autoincrement_Register		68	/* 0x44 */
#define		G0_Command_Register			6	/* 0x06 */
#define		G0_HW_Save_Registers			8	/* 0x08 */
#define		G0_Input_Select_Register		36	/* 0x24 */
#define		G0_Load_B_Registers			30	/* 0x1E */
#define		G0_Load_A_Registers			28	/* 0x1C */
#define		G0_Mode_Register			26	/* 0x1A */
#define		G0_Save_Registers			12	/* 0x0C */
#define		G1_Autoincrement_Register		69	/* 0x45 */
#define		G1_Command_Register			7	/* 0x07 */
#define		G1_HW_Save_Registers			10	/* 0x0A */
#define		G1_Input_Select_Register		37	/* 0x25 */
#define		G1_Load_B_Registers			34	/* 0x22 */
#define		G1_Load_A_Registers			32	/* 0x20 */
#define		G1_Mode_Register			27	/* 0x1B */
#define		G1_Save_Registers			14	/* 0x0E */
#define		Generic_Control_Register		71	/* 0x47 */
#define		Interrupt_A_Ack_Register		2	/* 0x02 */
#define		Interrupt_B_Ack_Register		3	/* 0x03 */
#define		Interrupt_B_Enable_Register		75	/* 0x4B */
#define		Interrupt_Control_Register		59	/* 0x3B */
#define		Interrupt_A_Enable_Register		73	/* 0x49 */
#define		IO_Bidirection_Pin_Register		57	/* 0x39 */
#define		Joint_Reset_Register			72	/* 0x48 */
#define		Joint_Status_1_Register			27	/* 0x1B */
#define		Joint_Status_2_Register			29	/* 0x1D */
#define		RTSI_Board_Register			81	/* 0x51 */
#define		RTSI_Trig_B_Output_Register		80	/* 0x50 */
#define		RTSI_Trig_Direction_Register		58	/* 0x3A */
#define		RTSI_Trig_A_Output_Register		79	/* 0x4F */
#define		Second_Irq_A_Enable_Register		74	/* 0x4A */
#define		Second_Irq_B_Enable_Register		76	/* 0x4C */
#define		Window_Address_Register			0	/* 0x00 */
#define		Window_Data_Read_Register		1	/* 0x01 */
#define		Window_Data_Write_Register		1	/* 0x01 */
#define		Write_Strobe_0_Register			82	/* 0x52 */
#define		Write_Strobe_1_Register			83	/* 0x53 */
#define		Write_Strobe_2_Register			84	/* 0x54 */
#define		Write_Strobe_3_Register			85	/* 0x55 */
